Subject: Re: [PATCH v4 1/4] Makefile: generate Perl header from template file

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 08 Dec 2017 22:15:59 +0100

On Wed, Dec 06 2017, Ævar Arnfjörð Bjarmason jotted:

> On Wed, Dec 6, 2017 at 7:56 PM, Daniel Jacques <[email-masked]> wrote:
>> On Wed, Dec 6, 2017 at 1:47 PM, Junio C Hamano <[email-masked]> wrote:
>>>
>>> Johannes Sixt <[email-masked]> writes:
>>>
>>> > The updated series works for me now. Nevertheless, I suggest to squash
>>> > in the following change to protect against IFS and globbing characters in
>>> > $INSTLIBDIR.
>>>
>>> Yeah, that is very sensible.
>>>
>>> > diff --git a/Makefile b/Makefile
>>> > index 7ac4458f11..08c78a1a63 100644
>>> > --- a/Makefile
>>> > +++ b/Makefile
>>> > @@ -2072,7 +2072,7 @@ GIT-PERL-HEADER: $(PERL_HEADER_TEMPLATE) GIT-PERL-DEFINES perl/perl.mak Makefile
>>> >       INSTLIBDIR_EXTRA='$(PERLLIB_EXTRA_SQ)' && \
>>> >       INSTLIBDIR="$$INSTLIBDIR$${INSTLIBDIR_EXTRA:+:$$INSTLIBDIR_EXTRA}" && \
>>> >       sed -e 's=@@PATHSEP@@=$(pathsep)=g' \
>>> > -         -e 's=@@INSTLIBDIR@@='$$INSTLIBDIR'=g' \
>>> > +         -e 's=@@INSTLIBDIR@@='"$$INSTLIBDIR"'=g' \
>>> >           -e 's=@@GITEXECDIR@@=$(gitexecdir_relative_SQ)=g' \
>>> >           -e 's=@@PERLLIBDIR@@=$(perllibdir_relative_SQ)=g' \
>>> >           $< >$@+ && \
>>
>> Sounds good; I'll apply that to my working patch and include it in my
>> next ("v5") submission, which is currently blocked pending avarab@'s Perl
>> Makefile changes:
>> https://public-inbox.org/git/[email-masked]/T/#t
>
> Thanks, FWIW I'll send another version of that at the end of the week
> or so, I'm waiting to see if there's any more comments on it to reduce
> list churn.

Sorry, I got this conflated with my sha1collisiondetection series, I
have nothing new to send out.

It seems everyone's happy with the version of my v2 (with Junio's
<[email-masked]> on top) from this series,
so it's just a matter of waiting.